=== modified file 'drizzled/Makefile.am'
--- drizzled/Makefile.am	2009-10-06 19:14:39 +0000
+++ drizzled/Makefile.am	2009-10-06 19:37:52 +0000
@@ -447,6 +447,7 @@
 		field/varstring.cc \
 		field_conv.cc \
 		field_iterator.cc \
+		file_exchange.cc \
 		filesort.cc \
 		foreign_key.cc \
 		function/additive_op.cc \

=== added file 'drizzled/file_exchange.cc'
--- drizzled/file_exchange.cc	1970-01-01 00:00:00 +0000
+++ drizzled/file_exchange.cc	2009-10-06 19:37:52 +0000
@@ -0,0 +1,36 @@
+/* -*- mode: c++; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+ *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+ *
+ *  Copyright (C) 2008, 2009 Sun Microsystems
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; version 2 of the License.
+ *
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ */
+
+
+#include "drizzled/server_includes.h"
+#include "drizzled/file_exchange.h"
+
+file_exchange::file_exchange(char *name, bool flag, enum_filetype filetype_arg)
+  : filetype(filetype_arg),
+    file_name(name),
+    field_term(&default_field_term),
+    enclosed(&my_empty_string),
+    line_term(&default_line_term),
+    line_start(&my_empty_string),
+    escaped(&default_escaped),  
+    opt_enclosed(0),
+    dumpfile(flag),
+    skip_lines(0),
+    cs(NULL)
+{ }

=== modified file 'drizzled/file_exchange.h'
--- drizzled/file_exchange.h	2009-02-05 03:57:10 +0000
+++ drizzled/file_exchange.h	2009-10-06 19:37:52 +0000
@@ -21,7 +21,6 @@
 #ifndef DRIZZLED_FILE_EXCHANGE_H
 #define DRIZZLED_FILE_EXCHANGE_H
 
-#include <drizzled/server_includes.h>
 
 static String default_line_term("\n",default_charset_info);
 static String default_escaped("\\",default_charset_info);
@@ -44,16 +43,7 @@
   ulong skip_lines;
   const CHARSET_INFO *cs;
   file_exchange(char *name, bool flag,
-                enum_filetype filetype_arg= FILETYPE_CSV)
-    :file_name(name), opt_enclosed(0), dumpfile(flag), skip_lines(0)
-  {
-    filetype= filetype_arg;
-    field_term= &default_field_term;
-    enclosed=   line_start= &my_empty_string;
-    line_term=  &default_line_term;
-    escaped=    &default_escaped;
-    cs= NULL;
-  }
+                enum_filetype filetype_arg= FILETYPE_CSV);
 };
 
 

=== modified file 'drizzled/index_hint.cc'
--- drizzled/index_hint.cc	2009-03-13 23:42:05 +0000
+++ drizzled/index_hint.cc	2009-10-06 19:37:52 +0000
@@ -31,6 +31,7 @@
 #include "drizzled/sql_string.h"
 #include "drizzled/session.h"
 #include "drizzled/index_hint.h"
+#include "drizzled/sql_table.h"
 
 /*
  * Names of the index hints (for error messages). Keep in sync with

=== modified file 'drizzled/plugin/loader.cc'
--- drizzled/plugin/loader.cc	2009-09-30 01:46:32 +0000
+++ drizzled/plugin/loader.cc	2009-10-06 19:37:52 +0000
@@ -13,7 +13,7 @@
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
 
-#include "drizzled/global.h"
+#include "drizzled/server_includes.h"
 
 #include <dlfcn.h>
 
@@ -35,6 +35,7 @@
 #include "drizzled/plugin/registry.h"
 #include "drizzled/error.h"
 #include "drizzled/gettext.h"
+#include "drizzled/errmsg_print.h"
 
 
 /* FreeBSD 2.2.2 does not define RTLD_NOW) */

=== modified file 'drizzled/select_result.h'
--- drizzled/select_result.h	2009-08-04 07:55:09 +0000
+++ drizzled/select_result.h	2009-10-06 19:37:52 +0000
@@ -21,6 +21,8 @@
 #ifndef DRIZZLED_SELECT_RESULT_H
 #define DRIZZLED_SELECT_RESULT_H
 
+class JOIN;
+
 class select_result :public Sql_alloc {
 protected:
   Session *session;

